reduce healthcheck times
continuous-integration/drone/push Build is passing Details

This commit is contained in:
Robert Kaussow 2020-01-18 15:35:47 +01:00
parent 5af569161e
commit 03f34d9fc8
2 changed files with 2 additions and 2 deletions

View File

@ -35,6 +35,6 @@ USER app
STOPSIGNAL SIGTERM
ENTRYPOINT ["/usr/local/bin/entrypoint.sh"]
HEALTHCHECK --interval=30s --timeout=5s --retries=3 CMD /usr/local/bin/healthcheck.sh
HEALTHCHECK --interval=10s --timeout=3s --retries=3 CMD /usr/local/bin/healthcheck.sh
WORKDIR /app
CMD []

View File

@ -1,7 +1,7 @@
#!/usr/bin/env sh
set -eo pipefail
URL=http://localhost:80/alive
URL=http://localhost:8080/alive
wget --quiet --tries=1 --spider ${URL}
[ $? -ne 0 ] && exit 1